﻿"""Provides a scripting component.
    Inputs:
        x: The x script variable
        y: The y script variable
    Output:
        a: The a output variable"""

__author__ = "tzhang"
__version__ = "2023.04.11"

import rhinoscriptsyntax as rs
import Rhino
import scriptcontext as sc

sc.doc=Rhino.RhinoDoc.ActiveDoc

def renameLayerMaterial():    
    for layer in sc.doc.Layers:
        if layer.IsDeleted: continue
        material = sc.doc.Materials[layer.RenderMaterialIndex]
        material.Name = layer.Name
        material.CommitChanges()
    sc.doc.Views.Redraw()
if __name__ == '__main__':
    renameLayerMaterial()
